matrix:
  linux_platform: ["debian11", "ubuntu2404"]
  osx_platform: ["macos", "macos_arm64"]
  bazel: [7.x, 8.x]

tasks:
  verify_windows_targets:
    name: Verify windows build and test targets
    platform: windows
    bazel: ${{ bazel }}
    build_targets:
    - '@imgui//...'
  verify_linux_targets:
    name: Verify linux build and test targets
    platform: ${{ linux_platform }}
    shell_commands:
    # X11 requires libx11-dev and a few other system packages, all in xorg-dev.
    # See https://www.glfw.org/docs/latest/compile.html#compile_deps
    - sudo apt-get update
    - sudo apt-get install xorg-dev libgl1-mesa-dev -y
    bazel: ${{ bazel }}
    build_targets:
    - '@imgui//...'
  verify_osx_targets:
    name: Verify osx build and test targets
    platform: ${{ osx_platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@imgui//...'
    build_flags:
    - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"
